POST api/Hl7CDAs

Creates a new Hl7CDA or updates an existent Hl7CDA's information.

Request Information

URI Parameters

None.

Body Parameters

Hl7CDAModel
NameDescriptionTypeAdditional information
Id

Unique ID of the model on our system (Read only).

globally unique identifier

None.

CDAXml

Content of the CDA.

string

None.

PatientExternalId

Patient's unique ID on integrating system (Required).

string

None.

LocationExternalId

Location's unique ID on integrating system (Required).

string

None.

DoctorExternalId

Doctor's unique ID on integrating system.

string

None.

Type

CDA's type (Required). Type should be (AmbulatorySummary, SummaryOfCare or ClinicalSummary).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "68d21aa7-3b6f-408c-8ba2-f47bb9bb1ce8",
  "cdaXml": "sample string 2",
  "patientExternalId": "sample string 3",
  "locationExternalId": "sample string 4",
  "doctorExternalId": "sample string 5",
  "type": "sample string 6"
}

application/xml, text/xml

Sample:
<Hl7CDAModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Hl7CDAs">
  <CDAXml>sample string 2</CDAXml>
  <DoctorExternalId>sample string 5</DoctorExternalId>
  <Id>68d21aa7-3b6f-408c-8ba2-f47bb9bb1ce8</Id>
  <LocationExternalId>sample string 4</LocationExternalId>
  <PatientExternalId>sample string 3</PatientExternalId>
  <Type>sample string 6</Type>
</Hl7CDAModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'Hl7CDAModel'.

Response Information

Resource Description

Hl7CDAModel
NameDescriptionTypeAdditional information
Id

Unique ID of the model on our system (Read only).

globally unique identifier

None.

CDAXml

Content of the CDA.

string

None.

PatientExternalId

Patient's unique ID on integrating system (Required).

string

None.

LocationExternalId

Location's unique ID on integrating system (Required).

string

None.

DoctorExternalId

Doctor's unique ID on integrating system.

string

None.

Type

CDA's type (Required). Type should be (AmbulatorySummary, SummaryOfCare or ClinicalSummary).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "id": "7b71c32e-5cc1-463f-9649-c98afc1fae83",
  "cdaXml": "sample string 2",
  "patientExternalId": "sample string 3",
  "locationExternalId": "sample string 4",
  "doctorExternalId": "sample string 5",
  "type": "sample string 6"
}

application/xml, text/xml

Sample:
<Hl7CDAModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Hl7CDAs">
  <CDAXml>sample string 2</CDAXml>
  <DoctorExternalId>sample string 5</DoctorExternalId>
  <Id>7b71c32e-5cc1-463f-9649-c98afc1fae83</Id>
  <LocationExternalId>sample string 4</LocationExternalId>
  <PatientExternalId>sample string 3</PatientExternalId>
  <Type>sample string 6</Type>
</Hl7CDAModel>